#!/usr/bin/env ruby
# vim: set ts=2 sw=2 fileencoding=utf-8 :
# Luomio <nohappiness@gmail.com>
# Filename: append_size.rb
# Create Date: 27-04, 13

data = open('debian/web.txt').lines.to_a

data.map do |e|
  e.strip!
  puts e
  name, size = e.split(' ')
  width, height = size.split('*')
  desktop_file = open("desktops/#{name}.desktop").lines.to_a
  desktop_file.map! do |line|
    line.strip!
    if line =~ /app=/
      line += "&width=#{width}&height=#{height}"
    else
      line
    end
  end
  open("desktops/#{name}.desktop",'w') do |fp|
    desktop_file.each do |line|
      fp.puts line
    end
  end
end
