#!/usr/bin/env ruby
# vim: set ts=2 sw=2 fileencoding=utf-8 :
# Luomio <nohappiness@gmail.com>
# Filename: test.rb
# Create Date: 27-02, 13

def get_icon_name(desktop_file)
  open(desktop_file).read.lines do |line|
    next unless line =~ /^Icon=(.*)/
    return $1
  end
end

icons = Dir.glob('icons/*.png')
Dir.glob('desktops/*').each do |desktop|
  icon = get_icon_name(desktop)
  icons.delete "icons/#{icon}.png"
  unless File.exists? "icons/#{icon}.png"
    #puts "#{desktop} ### #{icon}"
    open(desktop).lines do |line|
      puts line if line =~ /^Exec/
    end
  end
end

icons.each do |i| puts i end
